{
	"_version": "1.1.0",
	"sap.app": {
		"_version": "1.1.0",
		"id": "sap.ui.app.ats",
		"type": "application",
		"i18n": "i18n/i18n.properties",
		"title": "{{appTitle}}",
		"description": "{{appDescription}}",
		"applicationVersion": {
			"version": "1.0.0"
		},
		"dataSources": {
			"invoiceRemote": {
				"uri": "{{invoiceRemoteUrl}}",
			  	"type": "OData",
			  	"settings": {
					"odataVersion": "2.0"
			  	}
			}
		}
	},
	"sap.ui": {
		"_version": "1.1.0",
		"technology": "UI5",
		"deviceTypes": {
			"desktop": true,
			"tablet": true,
			"phone": true
		},
		"supportedThemes": [
			"sap_belize"
		]
	},
	"sap.ui5": {
		"_version": "1.1.0",
		"rootView": "sap.ui.app.ats.view.App",
		"dependencies": {
			"minUI5Version": "1.30",
			"libs": {
				"sap.m": {}
			}
		},
		"models": {
			"i18n": {
				"type": "sap.ui.model.resource.ResourceModel",
			  	"settings": {
					"bundleName": "sap.ui.app.ats.i18n.i18n"
			  	}
			},
			"invoice": {
				"dataSource": "invoiceRemote"
			}
		},
		"routing": {
			"config": {
				"routerClass": "sap.m.routing.Router",
				"viewType": "XML",
				"viewPath": "sap.ui.app.ats.view",
				"controlId": "app",
				"controlAggregation": "pages"
		  	},
		  	"routes": [
				{
			  		"pattern": "",
			  		"name": "split",
			  		"target": "split"
				},
				{
			  		"pattern": "detail/{invoicePath}",
			  		"name": "detail",
			  		"target": "detail"
				}
		  	],
		  	"targets": {
				"split": {
					"viewName": "Split"
				},
				"overview": {
			  		"viewName": "Overview"
				},
				"detail": {
			  		"viewName": "Detail"
				}
		  	}
		},
		"resources": {
			"css": [
				{
			  		"uri": "css/style.css"
				}
		  	]
		}
	}
}